#! /usr/bin/env python
# Part of the A-A-P recipe executive: Separate program that installs packages

# Copyright (C) 2002 Stichting NLnet Labs
# Permission to copy and use this file is specified in the file COPYING.
# If this file is missing you can find it here: http://www.a-a-p.org/COPYING

# This programs runs as root to be able to invoke pkg_add.

import sys
import os


if __name__ == '__main__':
    # Print a message so that the invoking process knows we're ready for
    # commands.
    print "PkgInstall ready"
    sys.stdout.flush()

    while 1:
	cmd = sys.stdin.readline()
	if cmd[0] == 'I':
	    try:
		res = os.system('pkg_add %s' % cmd[1:])
	    except:
		res = 1
	    if res:
		print "PkgInstall failed"
	    else:
		print "PkgInstall OK"
	    sys.stdout.flush()
	elif cmd[0] == 'Q':
	    sys.exit(0)
	else:
	    print 'PkgInstall error: unrecognized command: "%s"' % cmd


# vim: set sw=4 sts=4 tw=79 fo+=l:
